module Upkey
  module Helios
    module Accessor
      def self.query(client, method, path_info, params = {})
        @client = client
        path = Upkey::Helios::Builder.path(path_info)

        access_helios(method, path, params)
      end

      class << self
        private

        def access_helios(method, path, params)
          client_params = params.merge({ access_key: @client.access_key })
          @client.conn.send(method.to_s, *[path, client_params])
        end
      end
    end
  end
end
