module Upkey
  module Helios
    module Responder
      def self.parse(response)
        case response.status
        when 404, 401, 200, 204
          Upkey::Helios::Response.new({
            status: response.status,
            contents: response.body,
            headers: response.headers
          })
        else
          raise HeliosResponseError
        end
      end
    end
  end
end
